LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XCurrentContext Interface Referencepublished

Task (thread) local execution context for UNO. More...

`import"XCurrentContext.idl";`

Inheritance diagram for XCurrentContext:

## Public Member Functions
any | getValueByName ([in] string Name)
| Gets a value from the context. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Task (thread) local execution context for UNO.

Arbitrary values can be retrieved from the context.

You have to use UNO runtime functions to obtain the current context in your target language.

Attention
  In general, do not spread the current context across different tasks. Values of the current context are destined for that task only.

## Member Function Documentation

## ◆ getValueByName()

any getValueByName | ( | [in] string | Name | ) |

Gets a value from the context.

Parameters

  Name | name of value

Returns
  value

The documentation for this interface was generated from the following file:

- com/sun/star/uno/XCurrentContext.idl